/****************************************************************************
*
* (C) 1999-2003 by BECK IPC GmbH
*
*  BECK IPC GmbH
*  Garbenheimerstr. 36-38
*  D-35578 Wetzlar
*
*  Phone : (49)-6441-905-0
*  Fax   : (49)-6441-905-245
*
* ---------------------------------------------------------------------------
* Module      : CGIAPI.H
* Function    : cgi api prototypes
* ---------------------------------------------------------------------------

$Header: CGIAPI.H, 4, 06.02.2004 13:52:26, Andre Pribil$

*****************************************************************************/

#ifndef _CGI_API_H__
#define _CGI_API_H__

/*************************************************************************/
#include "CGI.H"

/*************************************************************************/
// definitions
/*************************************************************************/
#ifdef _MSC_VER /* If Microsoft C Compiler is used, define new FP_SEG and FP_OFF Macro */
   #ifdef FP_SEG
      #undef FP_SEG
   #endif
   #define FP_SEG(ptr)    ((unsigned int)(((unsigned long)ptr)>>16))

   #ifdef FP_OFF
      #undef FP_OFF
   #endif
   #define FP_OFF(ptr)    ((unsigned int)(((unsigned long)ptr)&0xFFFF))
#endif


#ifdef __cplusplus
extern "C" {
#endif


/*************************************************************************/
//install cgi function
/*************************************************************************/
int _cdecl CGI_Install (CGI_Entry far  * cgiptr);

/*************************************************************************/
//delete cgi function
/*************************************************************************/
int _cdecl CGI_Delete (char far * PathPtr);


/*************************************************************************/
//Get formitem
/*************************************************************************/
void _cdecl CGI_GetFormItem (const char far * ArgumentBufferPtr,
                             FormItem far * formitem);

/*************************************************************************/
//Get next formitem
/*************************************************************************/
int _cdecl CGI_GetNextItem(char far * ArgumentBufferPtr, 
                           char far ** nextItemString);

/*************************************************************************/
//Get Main Page Name
/*************************************************************************/
int _cdecl CGI_SetMainPage (const char far *mainPageName);

/*************************************************************************/
//Get Root Dir
/*************************************************************************/
int _cdecl CGI_SetRootDir (const char far *rootDirName);

/*************************************************************************/
//Get Main Page Name
/*************************************************************************/
int _cdecl CGI_GetMainPage(char far **mainPageName);

/*************************************************************************/
//Get Root Dir
/*************************************************************************/
int _cdecl CGI_GetRootDir(char far **rootDirName);



#ifdef __cplusplus
}
#endif

/*************************************************************************/
#endif /* _CGI_API_H__*/
/*************************************************************************/
//end cgiapi.h
