/****************************************************************************
*
* (C) 2002 by BECK IPC GmbH
*
*  BECK IPC GmbH
*  Garbenheimerstr. 38
*  D-35578 Wetzlar
*
*  Phone : (49)-6441-905-240
*  Fax   : (49)-6441-905-245
*
* ---------------------------------------------------------------------------
* Module      :  Err.h
* Function    :  Error constants

* Author        : mb
* Date          : 14.05.02


* THIS SOFTWARE IS PROVIDED BY BECK IPC GmbH ``AS IS'' AND
* ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
* ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
* OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
* HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
* LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
* OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
* SUCH DAMAGE.



$Header: err.h, 1, 15.03.2004 10:29:18, Markus Bartat$

$Log: 
 1    IPC@CHIP  1.0         15.03.2004 10:29:18  Markus Bartat   
$

* ---------------------------------------------------------------------------
*/
#ifndef    _ERROR_H
   #define _ERROR_H   

   #define   NO_ERR                             0
   #define   RANGE_ERR                         -1
   #define   TIMOUT_ERR                        -2

   #define   SNMP_STRING_TO_LONG_ERROR         -34
   #define   SNMP_COMMUNITY_GET_ERROR          -35
   #define   CONFIG_ERR                        -36
   #define   SNMP_READ_ONLY_ERR                -37
   #define   END_OF_MIB_ERROR                  -38
   #define   BAD_COMMUNITY_USES_ERR            -39
   #define   BAD_COMMUNITY_NAME_ERR            -40
   #define   SNMP_IN_TO_BIG_ERR                -41
   #define   SNMP_NO_SUCH_NAME_ERR             -42
   #define   SNMP_ERROR_BADVALUE_ERR           -43
   #define   SNMP_TRAP_SEND_ERR                -44
   #define   SNMP_EMPTY_TABLE_ENTRY            -60  //Internal usage only*/

#endif

/*****************************************************************************/
//end err.h
